Debian Bug report logs - #413960
wodim: fails to burn with dev='0,0,0' but burns with dev='/dev/sr0'

version graph

Package: wodim; Maintainer for wodim is Joerg Jaspert <joerg@debian.org>; Source for wodim is src:cdrkit.

Reported by: Jan Völkers <voelkers@ppp.net>

Date: Thu, 8 Mar 2007 07:48:09 UTC

Severity: important

Tags: moreinfo

Found in version cdrkit/9:1.1.2-1

Fixed in version cdrkit/9:1.1.4-1

Done: Eduard Bloch <blade@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Jan Völkers <voelkers@ppp.net>:
New Bug report received and forwarded. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Völkers <voelkers@ppp.net>
To: submit@bugs.debian.org
Subject: wodim: fails to burn with dev='0,0,0' but burns with dev='/dev/sr0'
Date: Thu, 8 Mar 2007 08:47:03 +0100
Package: wodim
Version: 9:1.1.2-1
Severity: important

wodim fails to burn with the devices selected by guitools as described
in the Subject.

##########failing################
jan@jan:~$ wodim -scanbus
scsibus0:
        0,0,0     0) 'HL-DT-ST' 'DVDRAM GSA-4120B' 'A115' Removable
CD-ROM 0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *

jan@jan:~$ wodim -dev='0,0,0' -dummy test.iso
wodim: No write mode specified.
wodim: Asuming -tao mode.
wodim: Future versions of wodim may have different drive dependent
defaults. Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'HL-DT-ST'
Identification : 'DVDRAM GSA-4120B'
Revision       : 'A115'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P
RAW/R96R Speed set to 7056 KB/s
Starting to write CD/DVD at speed  40.0 in dummy TAO mode for single
session.
Last chance to quit, starting dummy write    0 seconds. Operation
starts. Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB:  2A 00 00 00 02 4D 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 2A 30 02 80 21 02 00 00
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x21 Qual 0x02 (invalid address for write) Fru 0x0
Sense flags: Blk 0 (not valid)
resid: 63488
cmd finished after 0.002s timeout 40s
write track data: error after 1206272 bytes
wodim: The current problem looks like a buffer underrun.
wodim: It looks like 'driveropts=burnfree' does not work for this drive.
wodim: Please report.
wodim: Make sure that you are root, enable DMA and check your HW/OS set
up.

#############working###############
jan@jan:~$ wodim -devices
Beginning native device scan. This may take a while if devices are
busy... wodim: Overview of accessible drives (2 found) :
----------------------------------------------------------------------
0    dev='/dev/hdc'   rwrw-- :  'COMPAQ'  'CD-ROM LTN486S'
1    dev='/dev/sr0'   rwrw-- :  'HL-DT-ST'  'DVDRAM GSA-4120B'
----------------------------------------------------------------------

jan@jan:~$ wodim -dev='/dev/sr0' -dummy test.iso
wodim: No write mode specified.
wodim: Asuming -tao mode.
wodim: Future versions of wodim may have different drive dependent
defaults. Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'HL-DT-ST'
Identification : 'DVDRAM GSA-4120B'
Revision       : 'A115'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P
RAW/R96R Speed set to 7056 KB/s
wodim: DMA speed too slow (OK for 39x). Cannot write at speed 40x.
Starting to write CD/DVD at speed  40.0 in dummy TAO mode for single
session.
Last chance to quit, starting dummy write    0 seconds. Operation
starts. Track 01: Total bytes read/written: 81758208/81758208 (39921
sectors).

-- 
System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages wodim depends on:
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared
libraries ii  libcap1                     1:1.10-14    support for
getting/setting POSIX.

Versions of packages wodim recommends:
ii  genisoimage                   9:1.1.2-1  Creates ISO-9660 CD-ROM
filesystem


####################################
The Hardware:
External DVDRAM in a Firewire Enclosure with Oxford Chipset and a VIA
Hostcontroller.

jan:~# lspci -v
05:09.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host
Controller (rev 46) (prog-if 10 [OHCI]) Subsystem: VIA Technologies,
Inc. IEEE 1394 Host Controller Flags: bus master, medium devsel,
latency 64, IRQ 201 Memory at f0401000 (32-bit, non-prefetchable)
[size=2K] I/O ports at 1000 [size=128]
        Capabilities: [50] Power Management version 2

jan:~# lsscsi
[0:0:0:0]    cd/dvd  HL-DT-ST DVDRAM GSA-4120B A115  /dev/scd0


jan:~# dmesg | grep ieee
ieee1394: Initialized config rom entry `ip1394'
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[001106005350d195]
ieee1394: sbp2: Driver forced to serialize I/O (serialize_io=1)
ieee1394: sbp2: Try serialize_io=0 for better performance
ieee1394: Error parsing configrom for node 0-00:1023
ieee1394: Node changed: 0-00:1023 -> 0-01:1023
ieee1394: Node added: ID:BUS[0-00:1023]  GUID[0030e0015006bbb4]
ieee1394: sbp2: Logged into SBP-2 device
ieee1394: Node 0-00:1023: Max speed [S400] - Max payload [2048]

#gscanbus:
##Hostcontroller##
SelfID Info
-----------
Physical ID: 1
Link active: Yes
Gap Count: 63
PHY Speed: S400
PHY Delay: <=144ns
IRM Capable: Yes
Power Class: +15W
Port 0: Not connected
Port 1: Not connected
Port 2: Connected to child node
Init. reset: Yes

CSR ROM Info
------------
GUID: 0x001106005350D195
Node Capabilities: 0x000083C0
Vendor ID: 0x00001106
Unit Spec ID: 0x0000005E
Unit SW Version: 0x00000001
Model ID: 0x00000000
Nr. Textual Leafes: 1

Vendor: Unknown
Textual Leafes: 
Linux - ohci1394

AV/C Subunits
-------------
N/A

##Bridge##
SelfID Info
-----------
Physical ID: 0
Link active: Yes
Gap Count: 63
PHY Speed: S400
PHY Delay: <=144ns
IRM Capable: No
Power Class: None
Port 0: Not connected
Port 1: Connected to parent node
Init. reset: No

CSR ROM Info
------------
GUID: 0x0030E0015006BBB4
Node Capabilities: 0x000083C0
Vendor ID: 0x000030E0
Unit Spec ID: 0x0000609E
Unit SW Version: 0x00010483
Model ID: 0x00000001
Nr. Textual Leafes: 2

Vendor:  OXFORD SEMICONDUCTOR LTD.
Textual Leafes: 
Oxford Semiconductor Ltd.   
OXFW911 

AV/C Subunits
-------------
N/A








Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #10 received at 413960@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Jan Völkers <voelkers@ppp.net>, 413960@bugs.debian.org
Subject: Re: Bug#413960: wodim: fails to burn with dev='0,0,0' but burns with dev='/dev/sr0'
Date: Thu, 8 Mar 2007 10:25:33 +0100
tags 413960 +moreinfo
thanks

#include <hallo.h>
* Jan Völkers [Thu, Mar 08 2007, 08:47:03AM]:
> Package: wodim
> Version: 9:1.1.2-1
> Severity: important
> 
> wodim fails to burn with the devices selected by guitools as described
> in the Subject.
> 
> ##########failing################
> jan@jan:~$ wodim -scanbus
> scsibus0:
>         0,0,0     0) 'HL-DT-ST' 'DVDRAM GSA-4120B' 'A115' Removable
> CD-ROM 0,1,0     1) *

How is this device configured? Are you using ide-scsi on kernel 2.6.x?
If yes, don't! Read README.ATAPI.setup. If no, show the permissions and
rerun those commands with -ddd switch please. And please also show what
"ls -la /dev/sg* /dev/sr* /dev/hd* /dev/scd*" knows about your system.

Eduard.




Tags added: moreinfo Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Jan Völkers <voelkers@ppp.net>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #17 received at 413960@bugs.debian.org (full text, mbox):

From: Jan Völkers <voelkers@ppp.net>
To: Eduard Bloch <edi@gmx.de>
Cc: 413960@bugs.debian.org
Subject: Re: Bug#413960: wodim: fails to burn with dev='0,0,0' but burns with dev='/dev/sr0'
Date: Thu, 8 Mar 2007 14:31:52 +0100
[Message part 1 (text/plain, inline)]
Am Thu, 8 Mar 2007 10:25:33 +0100
schrieb Eduard Bloch <edi@gmx.de>:

tags 413960 +moreinfo

Hi,

> How is this device configured? Are you using ide-scsi on kernel 2.6.x?
> If yes, don't! Read README.ATAPI.setup. If no, show the permissions
> and rerun those commands with -ddd switch please. And please also
> show what "ls -la /dev/sg* /dev/sr* /dev/hd* /dev/scd*" knows about
> your system.

As i wrote it´s an external IDE Device in a Firewire Enclosure.
So i run SCSI over SBP2 over Firewire.

jan@jan:~$ ls -la /dev/sg* /dev/sr* /dev/hd* /dev/scd*
brw-rw---- 1 root disk   3, 0 2007-03-08 08:11 /dev/hda
brw-rw---- 1 root disk   3, 1 2007-03-08 08:11 /dev/hda1
brw-rw---- 1 root disk   3, 2 2007-03-08 08:11 /dev/hda2
brw-rw---- 1 root disk   3, 5 2007-03-08 08:11 /dev/hda5
brw-rw---- 1 root disk   3, 6 2007-03-08 07:11 /dev/hda6
brw-rw---- 1 root disk   3, 7 2007-03-08 08:11 /dev/hda7
brw-rw---- 1 root cdrom 22, 0 2007-03-08 08:11 /dev/hdc
brw-rw---- 1 root cdrom 11, 0 2007-03-08 07:12 /dev/scd0
crw-rw---- 1 root cdrom 21, 0 2007-03-08 07:12 /dev/sg0
lrwxrwxrwx 1 root root      4 2007-03-08 07:12 /dev/sr0 -> scd0

jan@jan:~$ grep cdrom /etc/group
cdrom:x:24:jan

I have attached the output of these commands:
wodim -dev='0,0,0' -dummy -ddd test.iso &> dev000.log
wodim -dev='/dev/sr0' -dummy -ddd test.iso &> devsr0.log

Again: The first does not work, the second does.

Jan
[dev000.log (text/x-log, attachment)]
[devsr0.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #22 received at 413960@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Jan Völkers <voelkers@ppp.net>
Cc: 413960@bugs.debian.org
Subject: Re: Bug#413960: wodim: fails to burn with dev='0,0,0' but burns with dev='/dev/sr0'
Date: Thu, 8 Mar 2007 20:14:22 +0100
#include <hallo.h>
* Jan Völkers [Thu, Mar 08 2007, 02:31:52PM]:
> I have attached the output of these commands:
> wodim -dev='0,0,0' -dummy -ddd test.iso &> dev000.log
> wodim -dev='/dev/sr0' -dummy -ddd test.iso &> devsr0.log

Maybe also with "-vv -VV" please? ;-)

> Again: The first does not work, the second does.

Exactly, that is the confusing part. I assume that some of Schilling's
fake SCSI code wreaks random havoc but I cannot prove it. And usually
ide-scsi is a good candidate for such kind of trouble.

Eduard.

-- 
Wie man sein Kind nicht nennen sollte: 
  Theo Saurus 



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Jan Völkers <voelkers@ppp.net>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #27 received at 413960@bugs.debian.org (full text, mbox):

From: Jan Völkers <voelkers@ppp.net>
To: Eduard Bloch <edi@gmx.de>, 413960@bugs.debian.org
Subject: Re: Bug#413960: wodim: fails to burn with dev='0,0,0' but burns with dev='/dev/sr0'
Date: Fri, 9 Mar 2007 08:04:44 +0100
[Message part 1 (text/plain, inline)]
Am Thu, 8 Mar 2007 20:14:22 +0100
schrieb Eduard Bloch <edi@gmx.de>:

> Maybe also with "-vv -VV" please? ;-)

Attached again:

wodim -dev='0,0,0' -dummy -dddvvVV test.iso &> dev000v.log
wodim -dev='/dev/sr0' -dummy -dddvvVV test.iso &> devsr0v.log


> Exactly, that is the confusing part. I assume that some of Schilling's

I thought Schillings scsi code is removed because of its license?

Jan
[dev000v.log (text/x-log, attachment)]
[devsr0v.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #32 received at 413960@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Jan Völkers <voelkers@ppp.net>, 413960@bugs.debian.org
Subject: Re: Bug#413960: wodim: fails to burn with dev='0,0,0' but burns with dev='/dev/sr0'
Date: Fri, 9 Mar 2007 11:32:54 +0100
#include <hallo.h>
* Jan Völkers [Fri, Mar 09 2007, 08:04:44AM]:

> > Maybe also with "-vv -VV" please? ;-)
> 
> Attached again:
> 
> wodim -dev='0,0,0' -dummy -dddvvVV test.iso &> dev000v.log
> wodim -dev='/dev/sr0' -dummy -dddvvVV test.iso &> devsr0v.log

Thank you. Now it looks like a bug in the Linux' scsi generic driver
(Linux sg driver version: 3.5.34) bug.

Could you try the following things please:

apt-get source wodim
apt-get build-dep cdrkit
cd cdrkit*
editor libusal/scsitransp.c
go to line 563 containing "cp->ux_errno != 0 ||"
and remove this line
make

And then try again using the binary build/wodim/wodim .

Thanks,
Eduard.
-- 
<alphascorpii> ja mei wir jungen sind halt nix mehr gewöhnt
<HE> alphascorpii: Du Junge?
<alphascorpii> jung as in !alt
<alphascorpii> jung as in !$damals_1945_vor_Stalingrad_DAS_war_noch_echte_Kälte



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Manuel Cepedello Boiso <manuel-dated-1174258948.68d3bb@eos.us.es>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #37 received at 413960@bugs.debian.org (full text, mbox):

From: Manuel Cepedello Boiso <manuel@eos.us.es>
To: 413960@bugs.debian.org
Subject: Re: Bug#413960: wodim: fails to burn with dev='0, 0, 0' but burns with dev='/dev/sr0'
Date: Wed, 14 Mar 2007 00:02:24 +0100 (CET)
[Message part 1 (text/plain, inline)]

Same problem here using libata's PATA support (2.6.21-rc3 linux kernel). 
Ufortunately, the patch doesn't improve the situation for me. Hope the 
logs will provide something useful.

BTW, cdrdao works pretty nicely instead.
[dev000v.log (text/plain, attachment)]
[devsr0v.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #42 received at 413960@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Manuel Cepedello Boiso <manuel-dated-1174258948.68d3bb@eos.us.es>, 413960@bugs.debian.org, debburn-devel@lists.alioth.debian.org, gzp@papp.hu
Subject: Re: Bug#413960: wodim: fails to burn with dev='0, 0, 0' but burns with dev='/dev/sr0'
Date: Wed, 14 Mar 2007 01:58:45 +0100
#include <hallo.h>
* Manuel Cepedello Boiso [Wed, Mar 14 2007, 12:02:24AM]:
> 
> 
> Same problem here using libata's PATA support (2.6.21-rc3 linux kernel). 
> Ufortunately, the patch doesn't improve the situation for me. Hope the 
> logs will provide something useful.
> 
> BTW, cdrdao works pretty nicely instead.

This just does not add up. The only difference is IMO the driver used by
/dev/sgX vs. /dev/sr0 (sg vs. sg_io). sg_io works pretty well, while sg
does weird things: after few data writes it starts returning false sense
codes indicating that the drive is busy (04/08, long drive in progress).
So wodim keeps retrying, which is the correct way to do in order to not
come to late. And after few dozens of retry it returns weird stuff and
the process breaks.

The issue is still confusing. Why does the problem not appear with the
sg_io driver? There is no single occurence of a long-write-in-progress
busy report. I would assume that the drive itself may be confused, maybe
misconfigured by the driver which is corrupting the control messages
(wild guess), or the driver returns bogus broken replies. But why does
the problem not appear with cdrdao then, since it is usually using the
sg driver. OTOH it uses an old copy of libscg which may not trigger that
particular problem.

You both are using LG drives. May be a coincidence since they are quite
popular, or maybe not. I personaly think there is a driver bug. There is
another report on the mailing list with long-write-in-progress where it
should not happen, in the fixation phase after the drive should have
reported OK after cache flushing. It just does not make sense, and the
user has also an LG driver and is using the fake-SCSI access method.

I don't have much time to do debug work this week, unfortunately.

Eduard.

-- 
<weasel> die alphascorpii ist naemlich mein grosses vorbild
<weasel> wenn ich mal gross bin, werd ich so wie alphascorpii
<alphascorpii> dann werd als erstes mal nicht groß ;)



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Vladimir Nadvornik <nadvornik@suse.cz>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #47 received at 413960@bugs.debian.org (full text, mbox):

From: Vladimir Nadvornik <nadvornik@suse.cz>
To: debburn-devel@lists.alioth.debian.org
Cc: Eduard Bloch <edi@gmx.de>, Manuel Cepedello Boiso <manuel-dated-1174258948.68d3bb@eos.us.es>, 413960@bugs.debian.org, gzp@papp.hu
Subject: Re: [Debburn-devel] Re: Bug#413960: wodim: fails to burn with dev='0, 0, 0' but burns with dev='/dev/sr0'
Date: Wed, 14 Mar 2007 10:53:01 +0100
On Wednesday 14 March 2007 01:58, Eduard Bloch wrote:
>
> This just does not add up. The only difference is IMO the driver used by
> /dev/sgX vs. /dev/sr0 (sg vs. sg_io). sg_io works pretty well, while sg
> does weird things: after few data writes it starts returning false sense
> codes indicating that the drive is busy (04/08, long drive in progress).
> So wodim keeps retrying, which is the correct way to do in order to not
> come to late. And after few dozens of retry it returns weird stuff and
> the process breaks.
>

This seems to be the same problem as here:
https://bugzilla.novell.com/show_bug.cgi?id=226019

There is no shared lock between sg and sr, some other program (HAL)
accesses the device in parallel and LG burners don't like it.

-- 
Vladimir Nadvornik



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <blade@debian.org>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #52 received at 413960@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: Vladimir Nadvornik <nadvornik@suse.cz>
Cc: debburn-devel@lists.alioth.debian.org, Manuel Cepedello Boiso <manuel-dated-1174258948.68d3bb@eos.us.es>, 413960@bugs.debian.org, lars@marowsky-bree.de
Subject: Re: [Debburn-devel] Re: Bug#413960: wodim: fails to burn with dev='0, 0, 0' but burns with dev='/dev/sr0'
Date: Wed, 14 Mar 2007 12:19:35 +0100
#include <hallo.h>
* Vladimir Nadvornik [Wed, Mar 14 2007, 10:53:01AM]:
> On Wednesday 14 March 2007 01:58, Eduard Bloch wrote:
> >
> > This just does not add up. The only difference is IMO the driver used by
> > /dev/sgX vs. /dev/sr0 (sg vs. sg_io). sg_io works pretty well, while sg
> > does weird things: after few data writes it starts returning false sense
> > codes indicating that the drive is busy (04/08, long drive in progress).
> > So wodim keeps retrying, which is the correct way to do in order to not
> > come to late. And after few dozens of retry it returns weird stuff and
> > the process breaks.
> >
> 
> This seems to be the same problem as here:
> https://bugzilla.novell.com/show_bug.cgi?id=226019
> 
> There is no shared lock between sg and sr, some other program (HAL)
> accesses the device in parallel and LG burners don't like it.

OMG. This is naturally a kernel issue. It allows access through two
interfaces simultaneosly, both interfaces are known and in wide use.
And it is pretty naive to think that all people and all software will
start using /dev/srX and only srX overnight just become somebody said
so, and it is not very nice to abandon those users to their faith.

And following Lars' words consequently means that the sg driver better
should not be able to load or allocate the same devices. Not the most
convinient but a safe solution. Sharing resources requires
synchronization addons in all conflicting spaces to work properly.
That's life. And currently the kernel is broken in this respect.

Eduard.
-- 
* Joey darf www.debian.org kaputt machen?  Hmm, interessantes Privileg :)
<h01ger> .oO( alle duerfen planet. und joey halt auch www. :)



Reply sent to Eduard Bloch <blade@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jan Völkers <voelkers@ppp.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 413960-close@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: 413960-close@bugs.debian.org
Subject: Bug#413960: fixed in cdrkit 9:1.1.4-1
Date: Sun, 01 Apr 2007 20:32:06 +0000
Source: cdrkit
Source-Version: 9:1.1.4-1

We believe that the bug you reported is fixed in the latest version of
cdrkit, which is due to be installed in the Debian FTP archive:

cdda2wav_1.1.4-1_all.deb
  to pool/main/c/cdrkit/cdda2wav_1.1.4-1_all.deb
cdrecord_1.1.4-1_all.deb
  to pool/main/c/cdrkit/cdrecord_1.1.4-1_all.deb
cdrkit-doc_1.1.4-1_all.deb
  to pool/main/c/cdrkit/cdrkit-doc_1.1.4-1_all.deb
cdrkit_1.1.4-1.diff.gz
  to pool/main/c/cdrkit/cdrkit_1.1.4-1.diff.gz
cdrkit_1.1.4-1.dsc
  to pool/main/c/cdrkit/cdrkit_1.1.4-1.dsc
cdrkit_1.1.4.orig.tar.gz
  to pool/main/c/cdrkit/cdrkit_1.1.4.orig.tar.gz
genisoimage_1.1.4-1_amd64.deb
  to pool/main/c/cdrkit/genisoimage_1.1.4-1_amd64.deb
icedax_1.1.4-1_amd64.deb
  to pool/main/c/cdrkit/icedax_1.1.4-1_amd64.deb
mkisofs_1.1.4-1_all.deb
  to pool/main/c/cdrkit/mkisofs_1.1.4-1_all.deb
wodim_1.1.4-1_amd64.deb
  to pool/main/c/cdrkit/wodim_1.1.4-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 413960@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eduard Bloch <blade@debian.org> (supplier of updated cdrkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 01 Apr 2007 21:49:11 +0200
Source: cdrkit
Binary: cdda2wav mkisofs cdrkit-doc genisoimage cdrecord wodim icedax
Architecture: source all amd64
Version: 9:1.1.4-1
Distribution: unstable
Urgency: high
Maintainer: Joerg Jaspert <joerg@debian.org>
Changed-By: Eduard Bloch <blade@debian.org>
Description: 
 cdda2wav   - Dummy transition package for icedax
 cdrecord   - Dummy transition package for wodim
 cdrkit-doc - Documentation for the cdrkit package suite
 genisoimage - Creates ISO-9660 CD-ROM filesystem images
 icedax     - Creates WAV files from audio CDs
 mkisofs    - Dummy transition package for genisoimage
 wodim      - command line CD/DVD writing tool
Closes: 413960
Changes: 
 cdrkit (9:1.1.4-1) unstable; urgency=high
 .
   * New upstream release
     + picking /dev/sr* devices rather then /dev/sg*, making the additional sg
       driver loading unneccesary when the b/t/l syntax is used, and sharing
       the access controls with other programs acting on the block device
       (closes: #413960)
Files: 
 491fdc986d67913e0bc441a0d47bf338 859 otherosfs optional cdrkit_1.1.4-1.dsc
 0bfa4188c164dd94ba165057b1460a89 1431472 otherosfs optional cdrkit_1.1.4.orig.tar.gz
 759a612e1311f244bd983342cf9da5f3 20 otherosfs optional cdrkit_1.1.4-1.diff.gz
 fd3f7cc68678f3514d6434b511090ecc 157326 doc optional cdrkit-doc_1.1.4-1_all.deb
 e61e0e83d910b88a4b0386d90c3c74e9 1154 otherosfs optional cdrecord_1.1.4-1_all.deb
 d2bee69576e931097c5ec4b5af11e0a8 844 sound optional cdda2wav_1.1.4-1_all.deb
 a5896a23e1fd9815342a04b96fdb6470 886 otherosfs optional mkisofs_1.1.4-1_all.deb
 fd909bd5d49ed8f23a62527a39f44687 443554 otherosfs optional wodim_1.1.4-1_amd64.deb
 ae34308847fc252ef1eeb653e3c7fa9c 184318 sound optional icedax_1.1.4-1_amd64.deb
 621942b40f7d0ce82ec36d9ae2dfe1b0 596730 otherosfs optional genisoimage_1.1.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGEBHc4QZIHu3wCMURApDTAJ9oVfb8RTSQ4Q7KUykYiQshAke+/wCeIPdd
1EDciGJ+MGf77CqrihL9oSY=
=NZH/
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#413960; Package wodim. Full text and rfc822 format available.

Acknowledgement sent to Jan Völkers <voelkers@ppp.net>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #62 received at 413960@bugs.debian.org (full text, mbox):

From: Jan Völkers <voelkers@ppp.net>
To: 413960@bugs.debian.org
Subject: Re: Bug#413960 closed by Eduard Bloch <blade@debian.org> (Bug#413960: fixed in cdrkit 9:1.1.4-1)
Date: Thu, 5 Apr 2007 11:27:13 +0200
GREAT! Works like a charm :-)

unfortunatily i hadn't the time for testing the way you asked for. But
waiting it out was a good way ;-)

Thanks,

Jan



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 02:47:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:27:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.